Bookings
patch
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
bookingTypestring · enumOptionalPossible values:
accountCategorystring · enumOptionalPossible values:
changeTypestring · enumOptionalPossible values:
notesstring · nullableOptional
effectiveDatestring · date-time · nullableOptional
Responses
204
No Content
No content
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
patch/Bookings/{id}
PATCH /Bookings/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 192
{
"bookingType": "New",
"accountCategory": "New",
"bookingChangeType": "BookingChangeTypeName",
"notes": "text",
"effectiveDate": "2026-01-01T00:00:00.000Z",
"classification": "BookingClassificationName"
}No content
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuidOptional
currencystring · nullableOptional
bookingTypestring · enumOptionalPossible values:
accountCategorystring · enumOptionalPossible values:
changeTypestring · enumOptionalPossible values:
effectiveDatestring · date-timeOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
notesstring · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
get/Bookings/{id}
GET /Bookings/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"currency": "text",
"bookingType": "New",
"accountCategory": "New",
"bookingChangeType": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isSystemChangeType": true,
"changeType": "Upsell"
},
"cmrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"acv": {
"amount": 1,
"amountInBaseCurrency": 1
},
"emrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"oneTimeFees": {
"amount": 1,
"amountInBaseCurrency": 1
},
"tcv": {
"amount": 1,
"amountInBaseCurrency": 1
},
"fmrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"effectiveDate": "2026-01-01T00:00:00.000Z",
"bookingLines": [
{
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"cmrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"acv": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"emrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"oneTimeFees": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"tcv": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"fmrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
],
"classification": {
"name": "text",
"description": "text",
"chartColor": "text",
"isSystemClassification": true,
"classificationType": "NewCustomer"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"notes": "text"
}get
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
Skipinteger · int32OptionalExample:
Skip number of records
10Takeinteger · int32OptionalExample:
Take number of records
5FilterstringOptionalExample:
Filter the resulsts. See ODATA documentation for more information
name eq 'Adam' and age gt 20SortstringOptionalExample:
Sorting the results. See ODATA specificaion for more information
nameHeader parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuidOptional
currencystring · nullableOptional
bookingTypestring · enumOptionalPossible values:
accountCategorystring · enumOptionalPossible values:
changeTypestring · enumOptionalPossible values:
effectiveDatestring · date-timeOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
notesstring · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
get/Bookings
GET /Bookings HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"currency": "text",
"bookingType": "New",
"accountCategory": "New",
"bookingChangeType": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isSystemChangeType": true,
"changeType": "Upsell"
},
"cmrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"acv": {
"amount": 1,
"amountInBaseCurrency": 1
},
"emrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"oneTimeFees": {
"amount": 1,
"amountInBaseCurrency": 1
},
"tcv": {
"amount": 1,
"amountInBaseCurrency": 1
},
"fmrr": {
"amount": 1,
"amountInBaseCurrency": 1
},
"effectiveDate": "2026-01-01T00:00:00.000Z",
"bookingLines": [
{
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"cmrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"acv": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"emrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"oneTimeFees": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"tcv": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"fmrr": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
],
"classification": {
"name": "text",
"description": "text",
"chartColor": "text",
"isSystemClassification": true,
"classificationType": "NewCustomer"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"notes": "text"
}
]Last updated